#ifndef _CONTAINERS_PUBLIC_H_
#define _CONTAINERS_PUBLIC_H_

#include "config.h"

struct class_descriptor_s {
  char *name;
  int (*init_function)(cfgl_t *cfg, void **handle);
  int (*destroy_function)(void *handle);
  int (*work_setup_function)(void *handle, void **work_handle);
  int (*work_function)(void *handle, void *work_handle, char *input, char *output);
  int (*work_destroy_function)(void *handle, void *work_handle);
};

typedef struct class_descriptor_s class_descriptor_t;



#endif /* _CONTAINERS_PUBLIC_H_ */
